// Lista controllo archivi

#include <applicat.h>  
#include <printer.h>
#include <tabutil.h>
#include <utility.h>
#include <urldefid.h> 
#include <lffiles.h>  
#include <nditte.h>  
#include <mailbox.h>
#include <causali.h>
#include <rcausali.h>
#include <clifo.h>
#include <pconti.h>
#include <mov.h>
#include <rmov.h>
#include <rmoviva.h>

class TLista_archivi : public TApplication
{
  TLocalisamfile*  _ditte; 
  TLocalisamfile*  _caus;
  TLocalisamfile*  _rcaus;
  TLocalisamfile*  _clifo;
  TLocalisamfile*  _pcon;
  TLocalisamfile*  _mov;
  TLocalisamfile*  _rmov;
  TLocalisamfile*  _rmoviva;
  
  TString _files, _ragsoc;
  TDate   _datalimite;
  long    _ditta;          
  bool    _errore_grave;   
  int     _risposta;
  
public:        
  TString     _titolo;
  
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
                  
  bool    set();              
  bool    tabella_ditta();
  void    controlla_causali (char sigla);
  void    controlla_clifo   (char sigla);
  void    controlla_pcon    (char sigla);
  void    controlla_PNIVA   (char sigla);
  void    controlla_fatture (char sigla);
  void    setta_intestazione(char sigla);
  bool    controlla_valore  (const TString& val,int lim);
  
  TLista_archivi() {};
};                                      
